Bug 2163130 (CVE-2023-0288) - CVE-2023-0288 vim: a heap-based buffer overflow
Summary: CVE-2023-0288 vim: a heap-based buffer overflow
Keywords:
Status: NEW
Alias: CVE-2023-0288
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Nobody
QA Contact:
URL:
Whiteboard:
Depends On: 2163131 2163262 2163263 2163264
Blocks: 2161232
TreeView+ depends on / blocked
 
Reported: 2023-01-23 07:31 UTC by Marian Rehak
Modified: 2023-07-07 08:28 UTC (History)
1 user (show)

Fixed In Version: vim 9.0.1189
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Embargoed:


Attachments (Terms of Use)

Description Marian Rehak 2023-01-23 07:31:56 UTC
Heap-based Buffer Overflow in function ml_append_int at memline.c:2951.

Reference:

https://huntr.dev/bounties/550a0852-9be0-4abe-906c-f803b34e41d3/

Comment 1 Marian Rehak 2023-01-23 07:32:10 UTC
Created vim tracking bugs for this issue:

Affects: fedora-36 [bug 2163131]


Note You need to log in before you can comment on or make changes to this bug.